### INTRODUCTION

This module enhances the Elasticsearch connector by adding support for NGram
tokenization in text fields. It enables efficient partial text matching, making
it ideal for applications requiring flexible
search capabilities.
### REQUIREMENTS

* Search Api
* Elasticsearch Connector

### INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

### CONFIGURATION
1. Apply the Analyzer to Text Fields
  In your Drupal site, configure the Search API index to use the NGram analyzer
for specific fields:
* Go to _Configuration > Search and Metadata > Search API_.
* Edit the desired Search API index.
* Navigate to the Fields tab.
* For the text fields where you want to enable NGram tokenization, select the
* NGram type from the field settings.
* Save field data.

2. Reindex Your Data
   After applying the NGram analyzer, reindex your data to ensure the new
3. tokenization settings are applied:

* Go to _Configuration > Search and Metadata > Search API_.

* Click on the **Index now** button for the relevant index.

### MAINTAINERS

Current maintainers for Drupal 10:

- Dudas Jozsef (dj1999) - https://www.drupal.org/u/dj1999
