<?php

namespace Drupal\elasticsearch_connector_ngram_analyzer;

/**
 * The analyzer service interface for managing Elasticsearch analyzers.
 */
interface AnalyzerServiceInterface {

  /**
   * Gets the analyzer definition for a given plugin ID.
   *
   * @param string $plugin_id
   *   The plugin ID.
   *
   * @return array
   *   The analyzer definition.
   */
  public function getAnalyzerDefinition($plugin_id);

  /**
   * Gets the tokenizer definition for a given plugin ID.
   *
   * @param string $plugin_id
   *   The plugin ID.
   *
   * @return array
   *   The tokenizer definition.
   */
  public function getTokenizerDefinition($plugin_id);

  /**
   * Gets the filter definition for a given plugin ID.
   *
   * @param string $plugin_id
   *   The plugin ID.
   *
   * @return array
   *   The filter definition.
   */
  public function getFilterDefinition($plugin_id);

}
