<?php

namespace Drupal\elasticsearch_connector_ngram_analyzer\Plugin\ElasticSearch\Analyser;

use Drupal\elasticsearch_connector\Analyser\AnalyserBase;

/**
 * Provides a custom ngram analyzer for Elasticsearch.
 *
 * @ElasticSearchAnalyser(
 *   id = "ngram_analyzer",
 *   label = @Translation("Ngram Analyser"),
 *   description = @Translation("A custom ngram analyzer for Elasticsearch.")
 * )
 */
class NgramAnalyzer extends AnalyserBase {

  /**
   * Return the analyzer definition.
   *
   * @return array
   *   The analyzer definition.
   */
  public function getAnalyzerDefinition() {
    return [
      'type' => 'custom',
      'tokenizer' => 'es_ngram',
      'filter' => ['lowercase'],
    ];
  }

  /**
   * Return the toenizer definition.
   *
   * @return array
   *   The tokenizer definition.
   */
  public function getTokenizerDefinition() {
    return [
      'type' => 'ngram',
      'min_gram' => 3,
      'max_gram' => 3,
      'token_chars' => ["letter", "digit"],
    ];
  }

}
